<project name="Cridmanager" default="jar" basedir=".">
    <description>
        Baut das cridmanager jar-file
    </description>
  <!-- set global properties for this build -->
  <property name="src" location="src"/>
  <property name="dist" location="dist"/>
  <property name="build" location="build"/>
  <property name="lib" location="lib"/>

  <!-- libs -->
  <fileset id="all.jar.files" dir="${lib}">
  	<include name="*.jar"/>
  </fileset>
 
  <target name="init">
  	<mkdir dir="${build}" />
  </target>
  
  <target name="compile" depends="init">
  	<javac srcdir="${src}" destdir="${build}">
		<classpath>
			<fileset refid="all.jar.files" />
		</classpath>
	</javac>
	<copy todir="${build}">
		<fileset dir="${src}">
			<include name="**/*.properties" />
			<include name="net/sourceforge/cridmanager/images/*" />
		</fileset>
	</copy>
  </target>
  
  <target name="jar" depends="compile">
  	<mkdir dir="${dist}" />
	<jar jarfile="${dist}/cridmanager.jar" basedir="${build}" />
  </target>
 </project>
